### Hierarchy

- History

## Index

### Properties

- length
- scrollRestoration
- state

### Methods

- back
- forward
- go
- pushState
- replaceState

## Properties

### length

length: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8680

### scrollRestoration

scrollRestoration: ScrollRestoration

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8681

### state

state: any

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8682

## Methods

### back

- back(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8683

  #### Returns void

### forward

- forward(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8684

  #### Returns void

### go

- go(delta?: undefined | number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8685

  #### Parameters

  - ##### Optional delta: undefined | number

  #### Returns void

### pushState

- pushState(data: any, title: string, url?: string | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8686

  #### Parameters

  - ##### data: any

  - ##### title: string

  - ##### Optional url: string | null

  #### Returns void

### replaceState

- replaceState(data: any, title: string, url?: string | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8687

  #### Parameters

  - ##### data: any

  - ##### title: string

  - ##### Optional url: string | null

  #### Returns void

Generated using TypeDoc